module DarkHall
	class Error < StandardError
	end
end

require 'uconv'

require 'jcode'
require 'pathname'
require 'logger'
require 'benchmark'
require 'fileutils'

require 'sdl'
require 'fpstimer'
require 'pp'

require 'rubyplus'

require 'darkhall/setting'



require 'darkhall/util'
require 'darkhall/game'
require 'darkhall/const'
require 'darkhall/lang'
require 'darkhall/game_state'
require 'darkhall/rule'



require 'darkhall/font'
require 'darkhall/logger'
require 'darkhall/report'
require 'darkhall/error_report'

require 'darkhall/input'


require 'darkhall/savedata'
require 'darkhall/model'
require 'darkhall/database'
require 'darkhall/character'
require 'darkhall/member'
require 'darkhall/enemy'
require 'darkhall/action'
require 'darkhall/battle'
require 'darkhall/party'
require 'darkhall/troop'
require 'darkhall/dungeon'
require 'darkhall/state'
require 'darkhall/effect'
require 'darkhall/switch'
require 'darkhall/game_config'
require 'darkhall/spell'
require 'darkhall/item'
require 'darkhall/equipment'
require 'darkhall/message'

module DarkHall
	
	
	# 以下は旧仕様のために残してある定数（Database#loadで内容が格納される）
	ITEM_DATA = {}
	
	SPELL_ORDER = []
	SPELL_DATA = {}
	TRICK_DATA = {}
	ENEMY_DATA = {}
	



end



require 'darkhall/special_action'

require 'darkhall/dice'
require 'darkhall/roll_table'
require 'darkhall/dialog'
require 'darkhall/background_input_dialog'

require 'darkhall/phase'

require 'darkhall/enemy_ai.rb'
require 'darkhall/resource'
require 'darkhall/sound'
require 'darkhall/graphic'

require 'darkhall/window'
require 'darkhall/treasure_box'

require 'darkhall/shop_lineup'




# Uconv内の、必要な全ファイルをrequireしておくための処理（exerb用）
Uconv.sjistou8(Uconv.u8tosjis("Test"))
